Bug 1021477 - cinnamon does not display interface names or aliases in the popup menu (orks fine in Gnome3)
cinnamon does not display interface names or aliases in the popup menu (orks ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cinnamon-control-center (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 07:32 EDT by R. K. Rajeev
Modified: 2015-02-17 12:46 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:46:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot in cinnamon environment showing missing labels in menu. (781.76 KB, image/png)
2013-10-21 07:32 EDT, R. K. Rajeev
no flags Details
Screenshot in gnome3 environment showing proper interface labels in menu. (1.06 MB, image/png)
2013-10-21 07:34 EDT, R. K. Rajeev
no flags Details

  None (edit)
Description R. K. Rajeev 2013-10-21 07:32:59 EDT
Created attachment 814549 [details]
Screenshot in cinnamon environment showing missing labels in menu.

Description of problem:

I recently switched my primary desktop to cinnamon from gnome3. On logging in with cinnamon, i notice that the network manager menu does not show the interface names next to the on-off buttons. In gnome3, it used to display the interface names(p128p1, p135p1 etc) Also, the same issue is observed in gnome control centre networking dialog, with all the connections only saying "Wired" instead of the interface names/aliases. 

See attached screenshots to compare display between cinnamon and gnome3 logins.


Version-Release number of selected component (if applicable):

network-manager-applet-0.9.8.2-1.fc19.x86_64

How reproducible:

Happens every time i log in via cinnamon.

Steps to Reproduce:
1. Select Cinnamon as the desktop session type during login
2. click on the networkmanager applet icon in the notification area to bring up the quick interface control menu.
3. See that you see the on/off buttons with no labels!

Actual results:

Menu with on-off buttons displayed and active for each interface on the system, with no labels indicating the name of the interface.

Expected results:

Menu with on-off buttons displayed and active with labels indicating the interface that is controlled by the relevant button.

Additional info:

see attached screenshots fo comparison between cinnamon desktop and gnome3 desktop.
Comment 1 R. K. Rajeev 2013-10-21 07:34:28 EDT
Created attachment 814550 [details]
Screenshot in gnome3 environment showing proper interface labels in menu.
Comment 2 Jirka Klimes 2013-11-11 08:53:47 EST
This is not related to network-manager-applet package (which contains nm-applet - used in Gnome2, Xfce, LXDE, ...).

Rather it is a problem in cinnamon, which basically copies the Gnome3 stuff and tweaks it to its needs. Either the upstream cinnamon doesn't use device labels yet, or Fedora uses an old version.
https://github.com/linuxmint/Cinnamon
Comment 3 leigh scott 2013-11-11 10:37:13 EST
Could you please report the issue directly to

https://github.com/linuxmint/cinnamon-control-center/issues

and ask if there is any chance of porting this commit

https://git.gnome.org/browse/gnome-control-center/commit/panels/network?id=63756458b2de0d730763cc2acbd510659e4d00a5
Comment 4 R. K. Rajeev 2013-11-11 12:13:16 EST
Hi All,

I have gone ahead and created the issue in the cinnamon-control-center github issue tracker.

Links is included below, and also updated in the bug(shortly).
https://github.com/linuxmint/cinnamon-control-center/issues/46

Hope it gets some love from the cinnamon devs.

Regards
R. K. Rajeev
Comment 5 Fedora End Of Life 2015-01-09 15:19:44 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 12:46:17 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.